Forum Linux Mint Polska

Autor Wątek: Poprawna instalacja sterowników dla AMD radeon HD 7700 dla Linux Mint 18 KDE 64  (Przeczytany 328 razy)

Offline motomyslen

  • Miętowe nasionko
  • *
  • Wiadomości: 2
  • Punkty: 0
  • Środowisko graficzne: KDE
  • Wersja systemu: 18
Jak poprawnie wybrać i zainstalować sterowniki dla AMD radeon HD 7700 w Linux Mint 18 KDE 64?
Które dokładnie pobrać, wersje dla ubuntu czy dla linuxa?

Informacje o obecnych sterownikach
user@local ~ $ X -version for xorg

X.Org X Server 1.18.4
Release Date: 2016-07-19
X Protocol Version 11, Revision 0
Build Operating System: Linux 4.4.0-45-generic x86_64 Ubuntu
Current Operating System: Linux local 4.4.0-21-generic #37-Ubuntu SMP Mon Apr 18 18:33:37 UTC 2016 x86_64
Kernel command line: BOOT_IMAGE=/vmlinuz root=/dev/sdb6
Build Date: 02 November 2016  10:06:10PM
xorg-server 2:1.18.4-0ubuntu0.2 (For technical support please see http://www.ubuntu.com/support)
Current version of pixman: 0.33.6
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
user@local ~ $ lspci | grep VGA
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Cape Verde XT [Radeon HD 7770/8760 / R7 250X]
user@local ~ $ find /dev -group video
/dev/fb0
/dev/dri/card0
/dev/dri/renderD128
/dev/dri/controlD64
user@local ~ $ glxinfo | grep -i vendor
server glx vendor string: SGI
client glx vendor string: Mesa Project and SGI
    Vendor: X.Org (0x1002)
OpenGL vendor string: X.Org
user@local ~ $ lspci | grep VGA ; lsmod | grep "kms\|drm" ; find /dev -group video ; \
> cat /proc/cmdline ; find /etc/modprobe.d/; cat /etc/modprobe.d/*kms* ; \
> ls /etc/X11/xorg.conf ; glxinfo | grep -i "vendor\|rendering" ; \
> grep LoadModule /var/log/Xorg.0.log
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Cape Verde XT [Radeon HD 7770/8760 / R7 250X]
drm_kms_helper        139264  1 radeon
syscopyarea            16384  1 drm_kms_helper
sysfillrect            16384  1 drm_kms_helper
sysimgblt              16384  1 drm_kms_helper
fb_sys_fops            16384  1 drm_kms_helper
drm                   360448  18 ttm,drm_kms_helper,radeon
/dev/fb0
/dev/dri/card0
/dev/dri/renderD128
/dev/dri/controlD64
BOOT_IMAGE=/vmlinuz root=/dev/sdb6                                                                                       
/etc/modprobe.d/                                                                                                         
/etc/modprobe.d/blacklist-firewire.conf                                                                                   
/etc/modprobe.d/mlx4.conf                                                                                                 
/etc/modprobe.d/alsa-base.conf                                                                                           
/etc/modprobe.d/blacklist-framebuffer.conf                                                                               
/etc/modprobe.d/fbdev-blacklist.conf
/etc/modprobe.d/blacklist-oss.conf
/etc/modprobe.d/vmwgfx-fbdev.conf
/etc/modprobe.d/blacklist-rare-network.conf
/etc/modprobe.d/blacklist-ath_pci.conf
/etc/modprobe.d/iwlwifi.conf
/etc/modprobe.d/blacklist-watchdog.conf
/etc/modprobe.d/blacklist-modem.conf
/etc/modprobe.d/dkms.conf
/etc/modprobe.d/blacklist.conf
# modprobe information used for DKMS modules
#
# This is a stub file, should be edited when needed,
# used by default by DKMS.
ls: cannot access '/etc/X11/xorg.conf': No such file or directory
direct rendering: Yes
server glx vendor string: SGI
client glx vendor string: Mesa Project and SGI
    Vendor: X.Org (0x1002)
OpenGL vendor string: X.Org
[    15.149] (II) LoadModule: "glx"
[    15.422] (II) LoadModule: "ati"
[    15.437] (II) LoadModule: "radeon"
[    15.474] (II) LoadModule: "modesetting"
[    15.492] (II) LoadModule: "fbdev"
[    15.503] (II) LoadModule: "vesa"
[    15.516] (II) LoadModule: "fbdevhw"
[    15.533] (II) LoadModule: "fb"
[    15.534] (II) LoadModule: "dri2"
[    15.534] (II) LoadModule: "glamoregl"
[    16.928] (II) LoadModule: "ramdac"
[    17.505] (II) LoadModule: "evdev"

Nie posiadam obecnie żadnej wersji fglrx.

Offline stefan_1971

  • Miętowe nasionko
  • *
  • Wiadomości: 3
  • Punkty: 0
  • Środowisko graficzne: Cinnamon
  • Wersja systemu: 18
Nie znam się ale się wypowiem, ja pobrałbym te dla ubuntu insatlował wg instrukcji na stronie AMD
tak zrobiłem ze swoją kartą RX460 u mnie działają razem z jądrem 4.8.0-34
http://support.amd.com/en-us/kb-articles/Pages/AMDGPU-PRO-Driver-for-Linux-Release-Notes.aspx

Offline Ulvhedin

  • Globator Moderalny
  • Spamerzy
  • *******
  • Wiadomości: 1549
  • Punkty: 1118
  • Płeć: Mężczyzna
  • Środowisko graficzne: Xfce
  • Wersja systemu: Inny
A tu jest taki opis popełniony jakiś czas temu przeze mnie:
https://github.com/linuxmintpl/faq/blob/master/text/HW-Grafika.md